cURL
curl --request GET \
--url https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/admins/details \
--header 'Content-Type: <content-type>' \
--header 'access_token: <access_token>' \
--header 'client_id: <client_id>'import requests
url = "https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/admins/details"
headers = {
"Content-Type": "<content-type>",
"client_id": "<client_id>",
"access_token": "<access_token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Content-Type': '<content-type>',
client_id: '<client_id>',
access_token: '<access_token>'
}
};
fetch('https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/admins/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"beginRequestDate": "2022-04-12 17-31-13",
"contractId": "A789879",
"createBy": "empresa x",
"createDate": "2022-04-12T20:31:15.658Z",
"customerId": 987456,
"customerIdRequest": 123456,
"customerName": "CLIENTE X",
"customerNameRequest": "EMPRESA Y",
"durationRequest": "0:00:01:1306",
"endRequestDate": "2022-04-12 17-31-13",
"httpCode": 200,
"query": "/89890/devices",
"realm": "algar-telecom",
"requestStatus": "SUCCESS",
"url": "http://0.0.0.0:8080/invoices/open",
"verb": "GET"
}{
"errors": "Parameter not found"
}{
"valueInBytes": 1235
}{
"errors": "O acesso ao recurso foi negado."
}{
"errors": "URI de API/Recurso inexistente para processamento."
}{
"errors": "Parameter not found"
}MoT
Retorna os detalhes dos recursos consumidos
Requisição para retornar todos os detalhes dos recursos consumidos
GET
/
admins
/
details
cURL
Headers
Define o formato da requisição.
🔹 Valor padrão:
application/json
📌 Dica: Copie e cole esse valor no campo Content-Type.
Example:
"application/json"
Id do cliente
Example:
"client_id"
Token gerado.
Example:
"access_token"
Path Parameters
Identificador do cliente.
Example:
"123654"
Query Parameters
Data inicio da solicitação(yyyy-MM-dd)
Example:
"123654"
Data fim da solicitação(yyyy-MM-dd)
Example:
"123654"
Status da solicitação
Example:
"Available values : SUCCESS, REQUEST_ERROR"
Número da página para paginação.
Example:
0
Tamanho da página para paginação.
Example:
24
Response
OK

